
package br.org.cipbancos.scg.webservice;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import br.org.cipbancos.scg.webservice.dto.SCGRequest;
import br.org.cipbancos.scg.webservice.dto.SCGResponse;

/**
 * This class was generated by the JAX-WS RI. JAX-WS RI 2.3.0-SNAPSHOT Generated
 * source version: 2.2
 * 
 */
@WebService(name = "ControleGarantia", targetNamespace = "http://webservice.scg.cipbancos.org.br")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({ br.org.cipbancos.scg.webservice.ObjectFactory.class,
		br.org.cipbancos.scg.webservice.dto.ObjectFactory.class })
public interface ControleGarantia {

	/**
	 * 
	 * @param scgRequest
	 * @return returns br.org.cipbancos.scg.webservice.dto.SCGResponse
	 */
	@WebMethod
	@WebResult(name = "scgResponse", targetNamespace = "http://webservice.scg.cipbancos.org.br", partName = "scgResponse")
	public SCGResponse executeOperation(
			@WebParam(name = "scgRequest", targetNamespace = "http://webservice.scg.cipbancos.org.br", partName = "scgRequest") SCGRequest scgRequest);

	/**
	 * 
	 * @param confirmation
	 * @return returns br.org.cipbancos.scg.webservice.dto.SCGResponse
	 */
	@WebMethod
	@WebResult(name = "scgResponse", targetNamespace = "http://webservice.scg.cipbancos.org.br", partName = "scgResponse")
	public SCGResponse retryByConfirmationOperation(
			@WebParam(name = "confirmation", targetNamespace = "http://webservice.scg.cipbancos.org.br", partName = "confirmation") String confirmation);

	/**
	 * 
	 * @param id
	 * @return returns br.org.cipbancos.scg.webservice.dto.SCGResponse
	 */
	@WebMethod
	@WebResult(name = "scgResponse", targetNamespace = "http://webservice.scg.cipbancos.org.br", partName = "scgResponse")
	public SCGResponse retryByIdOperation(
			@WebParam(name = "id", targetNamespace = "http://webservice.scg.cipbancos.org.br", partName = "id") String id);

	@WebMethod
	@WebResult(name = "converterArquivo", targetNamespace = "http://webservice.scg.cipbancos.org.br", partName = "converterArquivo")
	public String converter(
			@WebParam(name = "name", targetNamespace = "http://webservice.scg.cipbancos.org.br", partName = "name") String nome);

}
